export const deteleObject = (obj) => {
  let uniques = [];
  const stringify = {};
  for (let i = 0; i < obj.length; i++) {
    const keys = Object.keys(obj[i]);
    keys.sort(function (a, b) {
      return Number(a) - Number(b);
    });
    let str = '';
    for (let j = 0; j < keys.length; j++) {
      str += JSON.stringify(keys[j]);
      str += JSON.stringify(obj[i][keys[j]]);
    }
    if (!stringify.hasOwnProperty(str)) {
      uniques.push(obj[i] as never);
      stringify[str] = true;
    }
  }
  uniques = uniques;
  return uniques;
};
